//============================================================================
// File: VECJB8.C
// Func: Interrupt Vector Table Definition for USB08 Demo Application
// Ver.: 1.01
// Auth: (C)2000,2001 by Oliver Thamm, MCT Elektronikladen GbR
//       http://hc08web.de/usb08
// Rem.: View/Edit this File with TAB-Size=4
// Jan 02 : Adapted for CodeWarrior by Isabelle GIRAUD, Metrowerks Europe 
//============================================================================

//----------------------------------------------------------------------------

extern void isrDummy(void);
extern void isrUSB(void);
extern void isrKey(void);
extern void _Startup(void);

//-- Interrupt Vector Table --------------------------------------------------

void (* const _vectab[])(void) @0xFFF0 = {
	isrKey,					/* Keypad     		*/
	isrDummy,				/* TIMER overflow	*/
	isrDummy,				/* TIMER channel 1	*/
	isrDummy,				/* TIMER channel 0	*/
	isrDummy,				/* IRQ1          	*/
	isrUSB,					/* USB            	*/
	isrDummy,				/* SWI             	*/
	_Startup			/* RESET			*/
	};

//============================================================================

