//============================================================================
// File: U08LED.H
// Func: LED Functions for USB08
// Ver.: 1.01
// Auth: (C)2000,2001 by Oliver Thamm, MCT Elektronikladen GbR
//       http://hc08web.de/usb08
// Rem.: View/Edit this File with TAB-Size=4
// Jan 02 : Adapted for CodeWarrior by Isabelle GIRAUD, Metrowerks Europe 
//============================================================================

// No code in this Module - just Macros!

#define initLED() 		(DDRD |= 0x07)
#define toggleLED(x)	(PTD ^= (1 << (x-1)))
#define offLED(x)		(PTD |= (1 << (x-1)))
#define onLED(x)		(PTD &= ~(1 << (x-1)))

//============================================================================

